# saga::permission_denied Class Reference

`#include <exception.hpp>`

Inheritance diagram for saga::permission_denied:

[legend]

List of all members.

## Public Member Functions
| permission_denied (saga::object obj, std::string const &m)
| Brief description starts here.
| permission_denied (saga::object obj, std::vector< saga::exception > const &l)
| permission_denied (std::string const &m)
| Brief description starts here.

## Constructor & Destructor Documentation

saga::permission_denied::permission_denied | ( | saga::object | obj,
|  | std::string const & | m |
| ) |  |  | `[inline]`

Brief description starts here.

saga::permission_denied::permission_denied | ( | saga::object | obj,
|  | std::vector< saga::exception > const & | l |
| ) |  |  | `[inline]`

saga::permission_denied::permission_denied | ( | std::string const & | m | ) | `[inline, explicit]`

Brief description starts here.

The documentation for this class was generated from the following file:

- exception.hpp